
/*----------Sakura Animation--------------------------*/

.sakura li{
    position: absolute;
    list-style: none;
    top: -100px;
    background: #ffdbed;
    border-radius: 0% 70%;  
    animation: fall 4s linear infinite, sway 2s ease-in-out infinite alternate;
}
  
  
  @keyframes fall {
    to {
      top: 120%;
    }
  }
  
  @keyframes sway1 {
    from {
      transform: translateX(0px) rotate(0deg);
    }
    to {
      transform: translateX(200px) rotate(-45deg);
    }
  }
  
  @keyframes sway2 {
    from {
      transform: translateX(200px) rotate(-45deg);
    }
    to {
      transform: translateX(0px) rotate(0deg);
    }
  }
  
  .sakura li:nth-child(1){
    left: 0%;
    width: 24px;
    height: 15px;
    animation: fall 10s linear infinite,
    sway1 3s ease-in-out infinite alternate;
    animation-delay: 2s;
  }
  
  .sakura li:nth-child(2){
    left: 5%;
    width: 13px;
    height: 9px;
    animation: fall 15s linear infinite,
    sway1 2s ease-in-out infinite alternate;
    animation-delay: 8s;
  }
  
  .sakura li:nth-child(3){
    left: 15%;
    width: 16px;
    height: 10px;
    animation: fall 9s linear infinite,
    sway1 3.5s ease-in-out infinite alternate;
    animation-delay: 13s;
  }
  
  .sakura li:nth-child(4){
    left: 30%;
    width: 16px;
    height: 10px;
    animation: fall 8s linear infinite,
    sway2 4s ease-in-out infinite alternate;
    animation-delay: 7s;
  }
  .sakura li:nth-child(5){
    left: 40%;
    width: 16px;
    height: 10px;
    animation: fall 10s linear infinite,
    sway1 4s ease-in-out infinite alternate;
    animation-delay: 0s;
  }
  .sakura li:nth-child(6){
    left: 55%;
    width: 24px;
    height: 15px;
    animation: fall 11s linear infinite,
    sway2 3s ease-in-out infinite alternate;
    animation-delay: 3s;
  }
  .sakura li:nth-child(7){
    left: 65%;
    width: 16px;
    height: 10px;
    animation: fall 7s linear infinite,
    sway2 3.5s ease-in-out infinite alternate;
    animation-delay: 7s;
  }
  .sakura li:nth-child(8){
    left: 50%;
    width: 13px;
    height: 9px;
    animation: fall 7s linear infinite,
    sway1 3s ease-in-out infinite alternate;
    animation-delay: 3s;
  }
  .sakura li:nth-child(9){
    left: 80%;
    width: 16px;
    height: 10px;
    animation: fall 10s linear infinite,
    sway2 4s ease-in-out infinite alternate;
    animation-delay: 4s;
  }

  /*--------------------------------------*/
  body{
    margin: 0;
    padding: 0;
  }
  header {
    border: solid 2px #e14e97;
    width: 80rem;
    height: 30rem;
    display: flex;
    justify-content: center;
  }
  h1{
    font-size: 1.8rem;
    color: #e14e97;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin: 2px;
  }

  h2{
    font-size: 1rem;
    color: #e14e97;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin: 2px;
  }

  .container{
    border: solid 2px #e14e97;
    width: 79rem;
    height: 29rem;
    margin: 5px;

    display: flex;
    justify-content: space-around;
    align-items: center;
  }

  nav li{
    font-size: 3rem;
    list-style-type: none;
    padding: 1rem;
}

a{
    text-decoration: none;
    color:#e14e97;
}

a:hover{
    color:#d9437a;
/*    background-color: rgb(255, 175, 204,0.3);
    padding: 10px;*/
    text-shadow: #ffdbed 5px 5px ;   
}

.img-projet{
  width: 30px;
}


/*----------------------projets-----------------------*/

h3{
  font-size: 3rem;
  text-align: center;
  margin-top: 7rem;
  margin-bottom: 5rem;
}

.container-sites{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}    

.bloc-site-button{
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.bloc-site{
  position: relative;
  margin: 30px;
}

.img-site,.overlay{      
  width: 30rem;    
  border-radius: 10px;
}

.overlay{
  opacity: 0;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  position: absolute;
  top:0;
  left: 0;
  bottom: 0;
  margin: 0;
  color: #faeff5;
  background-color: rgba(81, 125, 123, 0.7);
}

.overlay:hover{
  opacity: 1;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  position: absolute;
  top:0;
  left: 0;
  bottom: 0;
  margin: 0;
  color: #faeff5;
  background-color: rgba(81, 125, 123, 0.7);
}

h4{
  font-size: 30px;
  text-align: center;
}

.logo-site{
  width: 50%;
}

.button-site{
  width: 50%;
  text-align: center;
  font-size: 1.5rem;
  color: rgb(255, 255, 255);
  background-color:rgb(75, 157, 152);
  border-radius: 40px;
  margin: 0 auto;
  padding: 10px;

}




@media screen and (min-width: 992px){
  .text-overlay{
      font-size: 25px;
      width: 60%;
  }

}
@media screen and (min-width: 576px) and (max-width: 992px){

  .text-overlay{
      font-size: 20px;
      width: 60%;
  }


}

@media screen and (max-width: 576px){
  .text-overlay{
      font-size: 20px;
      width: 60%;
  }

}